Skip to main content
Topic: Php7.4 compatibality (Read 637 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: Php7.4 compatibality

Reply #15
Thank you Spuds.
1. member registration works without errors now (tested)
2. Optimus add-on doesn't generate new errors.

I'll test the forum for a few days, then I'll do the same edits on skodaclub.it which has more visits and more probability to find other errors/problems.
sorry for my bad english

Re: Php7.4 compatibality

Reply #16
Here's anoter one I found:
Tipo di errore: Generale
Notice: Trying to access array offset on value of type null
/index.php?action=profileInfo;sa=recent;xml;u=595;GrMEj8M=JT67Ghe9Bf2EzMfcrC1SlSZtf2QhPdgJ
File: sources/controllers/ProfileInfo.controller.phpLine: 129


1294:// Set up the context stuff and load the user.
1295:$context += array(
1296:'page_title' => sprintf($txt['profile_of_username'], $memberContext[$this->_memID]['name']),
1297:'can_send_pm' => allowedTo('pm_send'),
1298:'can_send_email' => allowedTo('send_email_to_members'),
sorry for my bad english


Re: Php7.4 compatibality

Reply #18
I also applied these edits, TBH I don't know how to test since the error came from a member and I don't know what he did to generate that error.
sorry for my bad english

Re: Php7.4 compatibality

Reply #19
Just to note I've been doing some testing on PHP 8 as well .... and have a PR with a few things that will be needed for that.

Also question ... why is this thread on the internal board, seems like valid community stuff?
Be safe, Be kind, Happy Programing

Re: Php7.4 compatibality

Reply #20
We can move it out if everyone're ok with it.

Re: Php7.4 compatibality

Reply #21
no problem for me to move it, I cleaned up my posts
sorry for my bad english

Re: Php7.4 compatibality

Reply #22
It is really if ElkArte is php8.0 compatible as well.

Re: Php7.4 compatibality

Reply #23
There is a PR pending/in process to 1.1.7 that lets it run fine with 8.0 .... Still checking on a few areas but all seems to be well with those changes applied.  Have not looked at 2.0 just yet.
Be safe, Be kind, Happy Programing

Re: Php7.4 compatibality

Reply #24
There is a PR pending/in process to 1.1.7 that lets it run fine with 8.0 .... Still checking on a few areas but all seems to be well with those changes applied.  Have not looked at 2.0 just yet.
 
 Does that mean there is a 1.7? 

;D

Re: Php7.4 compatibality

Reply #25
Doing my best to get all the known bugs that are reproducible/fixable so we can wrap it up .. Right now its a big boy, comparing to 1.1.6 it is showing 133 changed files :D
Be safe, Be kind, Happy Programing


Re: Php7.4 compatibality

Reply #27
Hi,
I'm with php 7.4 since the last week and i only have 2 errors, always the same but a lot of pages :
Code: [Select]
admin
Dimanche 24 Janvier 2021, 14:26:26
IP
CpIAKkPl7JAvliEJg99MPXSRyVni5VUH
Type d'erreur: Générale
Notice: Trying to access array offset on value of type null
https://xxxxxxxxxxxforum/index.php?
Fichier: /xxxxxxxxxxxxxforum/sources/subs/BBC/BBCParser.php
Ligne: 285
admin
Dimanche 24 Janvier 2021, 14:26:26
IP
CpIAKkPl7JAvliEJg99MPXSRyVni5VUH
Type d'erreur: Générale
Notice: Trying to access array offset on value of type null
https://xxxxxxxxxxxxxforum/index.php?
Fichier: /xxxxxxxxxxxxxforum/sources/subs/BBC/BBCParser.php
Ligne: 577
It's only on the elkarte first in 1.1.4, updated to 1.1.5 and finally to 1.1.6.
To test i made a fresh install with a 1.1.6 and no errors : still with php 7.4.
Philippe

Re: Php7.4 compatibality

Reply #28
If I recall correctly that was fixed in 1.1.7 (coming soontm)  You can try that patch file, its been posted on the board, but its not the final final 1.1.7.  As such you would have to, when the time canme, uninstall that beta patch, remove the beta package and install the final patch when it becomes available.
Be safe, Be kind, Happy Programing

 

Re: Php7.4 compatibality

Reply #29
ok, i try it. Thank you.